Bug 167444 - CAN-2005-2798 Improper GSSAPI credential delegation
Summary: CAN-2005-2798 Improper GSSAPI credential delegation
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL: http://bugzilla.mindrot.org/show_bug....
Whiteboard: impact=moderate,reported=20050901,pub...
Keywords: Security
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-09-02 17:49 UTC by Josh Bressers
Modified: 2009-06-29 15:37 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-527
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:41:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from upstream (2.13 KB, patch)
2005-09-02 18:02 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:527 qe-ready SHIPPED_LIVE Moderate: openssh security update 2005-10-05 04:00:00 UTC

Description Josh Bressers 2005-09-02 17:49:17 UTC
destroy credentials if krb5_kuserok() call fails. Stops credentials being
delegated to users who are not authorised for GSSAPIAuthentication when
GSSAPIDeletegateCredentials=yes and another authentication mechanism succeeds;

Comment 1 Josh Bressers 2005-09-02 17:50:08 UTC
This issue may also affect RHEL3 and RHEL2.1 (I've not verified it)

Comment 2 Josh Bressers 2005-09-02 18:02:00 UTC
Created attachment 118398 [details]
Patch from upstream

Comment 3 Josh Bressers 2005-09-05 14:12:34 UTC
This issue does not affect RHEL3 and RHEL2.1 as they do not contain GSSAPI
authentication.

Comment 12 Red Hat Bugzilla 2005-10-05 12:41:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-527.html



Note You need to log in before you can comment on or make changes to this bug.